/**
 * Theme Name: GestCooper
 * Description: Blocksy Child theme
 * Author: Nicola Paroldo per DStile
 * Template: blocksy
 * Version: 0.0.30
 * Text Domain: gestcooper
 * License: GNU General Public License v3 or later.
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 */

/**
* Pagine generali
*/

#header {
  z-index: 190!important;
/*  box-shadow: 0px 9px 10px 0px rgba(0,0,0,0.25); */
  font-family: "Bebas Neue", Sans-serif;
}

#outlinetxt h1,
#title h1 {
  color: transparent; /* Svuota l'interno */
  -webkit-text-stroke: 3px #0a6ba7; /* Crea il bordo */
}

.invert-color img {
  filter: brightness(10%) grayscale(100%) saturate(0) invert(1)!important;
}


/**
* header personalizzato
*/


.moving-text-bg {
  overflow: hidden;
  position: relative;
}

.moving-text-bg .elementor-widget-html {
  height: 100%;
  max-height: 100%;
}

.marquee-background {
  width: 100%;
  height: 100%;
  z-index: 1;
  display: flex;
  flex-direction: column;
  justify-content: center; /* Raggruppa le righe al centro */
  gap: 20px; /* Spazio tra le righe */
  overflow: hidden;
  pointer-events: none;
}

/* Maschera a Sinistra */
.marquee-background::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 15%; /* Ampiezza della sfumatura */
  height: 100%;
  background: linear-gradient(to right, #0a6ba7, transparent);
  z-index: 2; /* Deve stare sopra il testo */
}

/* Maschera a Destra */
.marquee-background::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 15%; /* Ampiezza della sfumatura */
  height: 100%;
  background: linear-gradient(to left, #0a6ba7, transparent);
  z-index: 2; /* Deve stare sopra il testo */
}

.marquee-row {
  display: flex;
  white-space: nowrap;
  font-size: 6rem; /* Font più grande per l'effetto outline */
  font-weight: 900;
  line-height: 1;
  -webkit-text-stroke: 2px rgba(220, 237, 255, 0.1); /* Colore della riga piena */

  font-family: "Bebas Neue", sans-serif;

  /* FIX SFOCATURA */
  /* Ottimizzazioni Rendering */
  -webkit-font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
  will-change: transform;
}

/* --- EFFETTO OUTLINE --- */
.outline-text {
  color: transparent; /* Svuota l'interno */
  -webkit-text-stroke: 2px rgba(220, 237, 255, 0.25); /* Crea il bordo */
}

/* Animazioni */
.row-1,
.row-3,
.row-5 {
  animation: scrollLeft 45s linear infinite;
}

.row-2,
.row-4 {
  animation: scrollRight 50s linear infinite;
}

@keyframes scrollLeft {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

@keyframes scrollRight {
  0% {
    transform: translateX(-50%);
  }
  100% {
    transform: translateX(0);
  }
}

/* Ottimizzazione per Mobile */
@media (max-width: 768px) {
  .marquee-row {
    font-size: 3rem;
  }
}
